%define aurox_ver 9.3
%define rel 1

%define pygtk_ver   0.6.9
%define pygnome_ver 1.4.2
%define _prefix /usr/lib/scigraphica

Summary: The sources for the PyGTK and PyGNOME Python extension modules.
Name: scigraphica-gnome-python
Version: %{pygnome_ver}
Release: %{aurox_ver}.aur.%{rel}
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%{pygnome_ver}.tar.gz
Copyright: LGPL
Group: System Environment/Libraries
BuildRoot: /var/tmp/%{name}-root
Packager: Robert Glowczynski <robertg@software.com.pl>
Requires: gtk+ >= 1.2.8
Requires: gnome-libs >= 1.2.0
Requires: pygtk = %{pygtk_ver}

%description
The gnome-python package contains the source packages for the Python
bindings for GTK+ and GNOME (PyGTK and PyGNOME, respectively). 

PyGTK is an extension module for Python that provides access to the
GTK+ widget set. Just about anything (within reason) you can write in
C with GTK+, you can write in Python with PyGTK, but with all the
benefits of Python.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package -n scigraphica-pygtk
Version: %{pygtk_ver}
Summary: Python bindings for the GTK+ widget set.
Group: Development/Languages
Requires: glib, imlib, python >= 1.5.2
Requires: gtk+ >= 1.2.8

%description -n scigraphica-pygtk
PyGTK is an extension module for Python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in Python with PyGTK (within reason), but with all the
benefits of Python. PyGTK provides an object-oriented interface at a
slightly higher level than the C interface. The PyGTK interface does
all of the type casting and reference counting that you would have to
do yourself using the C API.

Install pygtk if you need Python bindings for the GTK+ widget set.

%prep
%setup -n gnome-python-%{pygnome_ver}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

%build
pushd pygtk
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd pygtk
make DESTDIR=$RPM_BUILD_ROOT install

# remove what does not go into this package
rm -rf $RPM_BUILD_ROOT%{_prefix}/bin
rm -rf $RPM_BUILD_ROOT%{_prefix}/include
rm -rf $RPM_BUILD_ROOT%{_prefix}/share
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/python2.2/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/python2.2/site-packages/libglade.*
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/python2.2/site-packages/_libglademodule.so

rm -f $RPM_BUILD_ROOT%{_prefix}/lib/python?.?/site-packages/_gtkglmodule.so
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/python?.?/site-packages/gtkgl.py*

popd

%files -n scigraphica-pygtk
%{_prefix}/lib/python?.?/site-packages/gtk.py*
%{_prefix}/lib/python?.?/site-packages/GtkExtra.py*
%{_prefix}/lib/python?.?/site-packages/GTK.py*
%{_prefix}/lib/python?.?/site-packages/GDK.py*
%{_prefix}/lib/python?.?/site-packages/GdkImlib.py*
%{_prefix}/lib/python?.?/site-packages/pyglade/*.py*

%{_prefix}/lib/python?.?/site-packages/_gtkmodule.so
%{_prefix}/lib/python?.?/site-packages/_gdkimlibmodule.so
%{_prefix}/lib/python?.?/site-packages/gdkpixbufmodule.so

# do we need them?
#%{_prefix}/lib/python?.?/site-packages/_gtkglmodule.so
#%{_prefix}/lib/python?.?/site-packages/gtkgl.py*

%doc pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/MAPPING pygtk/ChangeLog
%doc pygtk/description.py pygtk/examples

%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 0:1.4.2-9.3.aur.1
- import to svn
- rebuild

* Tue Apr 15 2003 Robert Glowczynski <robertg@software.com.pl>
- rebuild for Aurox 9

* Fri Feb 21 2003 Robert Glowczynski <robertg@software.com.pl>
- build pygtk only as part of the scigraphica package

* Fri Jan 21 2000 Matt Wilson <msw@redhat.com>
- added pygnome-libglade subpackage

* Wed Jan  5 2000 Matt Wilson <msw@redhat.com>
- split applet and capplet modules into their own package

